# OpalManager::RouteEntry Class Reference

`#include <manager.h>`

## Public Member Functions

| RouteEntry (const PString &pat, const PString &dest)
void | PrintOn (ostream &strm) const

## Data Fields

PString | pattern
PString | destination
PRegularExpression | regex

## Constructor & Destructor Documentation

OpalManager::RouteEntry::RouteEntry | ( | const PString & | pat,
|  | const PString & | dest |
| ) |  |  |

## Member Function Documentation

void OpalManager::RouteEntry::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

PString OpalManager::RouteEntry::destination

PString OpalManager::RouteEntry::pattern

PRegularExpression OpalManager::RouteEntry::regex

The documentation for this class was generated from the following file:

- manager.h